"""
@author: luojunhui
"""
from config import daily_video


async def insert(db_client, params, request_id):
    """

    :return:
    """
    try:
        video_id = params['video_id']
        title = params['title']
        return_cnt = params['last_day_return']
        uid = params['uid']
        view_cnt = params['last_day_view']
        share_cnt = params['last_day_share']
        category = params['category']
        dt = params['dt']
    except Exception as e:
        response = {
            "error": str(e),
            "message": "params check failed",
            "requestId": request_id
        }
        return response

    insert_sql = f"""
    INSERT INTO {daily_video}
    (video_id, uid, title, return_cnt, view_cnt, share_cnt, category, dt, ros, rov)
    values 
    (%s, %s, %s, %s, %s, %s, %s, %s);
    """
    await db_client.async_insert(
        insert_sql,
        params=(
            video_id,
            title,
            return_cnt,
            uid,
            view_cnt,
            share_cnt,
            category,
            dt,
            float(int(return_cnt) / int(view_cnt)),
            float(int(share_cnt) / int(view_cnt))
        )
    )
    response = {
        "info": "success",
        "requestId": request_id
    }
    return response
